# ForeMarkets (Factory)

#### INIT\_CODE\_PAIR\_HASH <a href="#init_code_pair_hash" id="init_code_pair_hash"></a>

Returns init creation code, eeded to calculate market address

#### market <a href="#market" id="market"></a>

Returns market address for hash(bytes32)

#### isForeMarket <a href="#isforemarket" id="isforemarket"></a>

Returns true if address is Fore Market

#### allMarkets <a href="#allmarkets" id="allmarkets"></a>

Returns market address of index

#### tokenURI <a href="#tokenuri" id="tokenuri"></a>

Returns token uri for existing token

| Input/Output | Data Type | Variable Name | Comment   |
| ------------ | --------- | ------------- | --------- |
| input        | uint256   | tokenId       | ​         |
| output       | string    | N/A           | token uri |

#### isForeOperator <a href="#isforeoperator" id="isforeoperator"></a>

*ForeOperators: ForeMarkets(as factory), ForeMarket contracts and marketplace*Returns true if Address is ForeOperator

| Input/Output | Data Type | Variable Name | Comment                         |
| ------------ | --------- | ------------- | ------------------------------- |
| input        | address   | addr          | ​                               |
| output       | bool      | N/A           | true if Address is ForeOperator |

#### allMarketLength <a href="#allmarketlength" id="allmarketlength"></a>

Returns length of all markets array

| Input/Output | Data Type | Variable Name | Comment                     |
| ------------ | --------- | ------------- | --------------------------- |
| output       | uint256   | N/A           | length of all markets array |

#### mintVerifier <a href="#mintverifier" id="mintverifier"></a>

Mints Verifier Nft (ForeVerifier)

| Input/Output | Data Type | Variable Name | Comment          |
| ------------ | --------- | ------------- | ---------------- |
| input        | address   | receiver      | receiver address |

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.foreprotocol.io/fore-protocol/documentation/developers/smart-contracts/foremarkets-factory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
